Name: apache-mina
Version: 2.0.7
Release: %mkrel 3
Summary: Apache MINA
Group: Development/Java
License: ASL 2.0
URL: http://mina.apache.org
Source0: http://mina.apache.org/dyn/closer.cgi/mina/%{version}/%{name}-%{version}-src.tar.gz
BuildArch: noarch

BuildRequires: maven-local

BuildRequires: apache-commons-lang
BuildRequires: easymock
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-shared
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin


%description
Apache MINA is a network application framework which helps users develop high
performance and high scalability network applications easily. It provides an
abstract event-driven asynchronous API over various transports such as TCP/IP
and UDP/IP via Java NIO.


%package javadoc
Summary: API documentation for %{name}
Group: Documentation


%description javadoc
This package provides %{name}.


%prep

# Extract the source:
%setup -q

# In the tarball distributed by Apache the source code is inside the src
# directory, but our build tools expect the POM files in the current directory,
# so in order to simplify things we move everything to the top level before
# starting the build:
mv src/* .

# The modules use "bundle" packaging which doesn't work correctly with xmvn
# automatic dependency generation, in order to avoid that we change that to
# "jar":
sed -i \
    -e 's|<packaging>bundle</packaging>|<packaging>jar</packaging>|g' \
    -e 's|<type>bundle</type>|<type>jar</type>|g' \
    $(find . -name pom.xml)

# Disable the plugins that we don't need:
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-bundle-plugin

# Disable the modules that we can't currently build:
%pom_disable_module mina-legal
%pom_disable_module mina-transport-apr
%pom_disable_module mina-integration-beans
%pom_disable_module mina-integration-xbean
%pom_disable_module mina-integration-ognl
%pom_disable_module mina-integration-jmx
%pom_disable_module mina-example


%build

# The tests are disabled because they require EasyMock version 2 and we only
# have version 3:
%mvn_build -f


%install
%mvn_install


%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt
%doc NOTICE.txt


%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt
%doc NOTICE.txt




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.0.7-3.mga4
+ Revision: 545692
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 2.0.7-2.mga4
+ Revision: 501577
- Rebuild against current stack

* Mon Oct 07 2013 dmorgan <dmorgan> 2.0.7-1.mga4
+ Revision: 492434
- New version

* Fri Jan 11 2013 umeabot <umeabot> 2.0.4-3.mga3
+ Revision: 345836
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.0.4-2.mga3
+ Revision: 291743
- Obsolete mina

* Mon Jun 25 2012 dmorgan <dmorgan> 2.0.4-1.mga3
+ Revision: 263557
- imported package apache-mina


* Mon Feb 13 2012 Juan Hernandez <juan.hernandez@redhat.com> 2.0.4-2
- Use the complete URL of the source code tarball

* Sun Feb 12 2012 Juan Hernandez <juan.hernandez@redhat.com> 2.0.4-1
- Initial packaging

